Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8209359

[8u] hotspot needs to recognise cl.exe 19.13 to build with VS2017.

    Details

    • Subcomponent:
    • Resolved In Build:
      b01

      Backports

        Description

        In jdk8u, hotspot's make system specifically recognises MSC_VER "1912" (cl.exe version 19.12) as the VS2017 compiler.

        Using VS2017 with cl.exe 19.13 fails, the build will use GX rather than /EHsc and the build will fail.

        We need to expand what hotspot recognises.

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  kevinw Kevin Walls
                  Reporter:
                  kevinw Kevin Walls
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  1 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: